Subject: Re: [PATCH][VLAN] Lost rtnl_unlock() in vlan_ioctl()

From: Patrick McHardy <[email-masked]>
Date: Thu, 06 Dec 2007 15:10:35 +0100

David Miller wrote:
> From: Patrick McHardy <[email-masked]>
> Date: Thu, 06 Dec 2007 14:59:24 +0100
> 
>> Pavel Emelyanov wrote:
>>> The SET_VLAN_NAME_TYPE_CMD command w/o CAP_NET_ADMIN capability
>>> doesn't release the rtnl lock.
>>
>> Thanks Pavel. I somehow recall that we already fixed this
>> one, but can't find the patch :) Dave, please apply.
> 
> I think we even added this bug to -stable, or something like
> that, didn't we?  Yikes...

No, I mixed those two patches up as well. The bug was introduced
with the vlan_netlink stuff, the -stable patch fixed an invalid
return value, but still properly dropped the lock.

This patch should of course go in -stable anyway.